<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CompanyProPayer extends Model
{

    protected $table = 'company_pro_payer';

    public function company()
    {
        return $this->hasOne(Company::class, 'id', 'company_id');
    }

    public function pro()
    {
        return $this->hasOne(Pro::class, 'id', 'pro_id');
    }

    public function payer()
    {
        return $this->hasOne(Payer::class, 'id', 'payer_id');
    }

    public function companyPro()
    {
        return $this->hasOne(CompanyPro::class, 'id', 'company_pro_id');
    }

}
